<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\users;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;

class desarrolladorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('desarrollador.desarrollador');
    }

    public function profile()
    {   
        $aplicaciones_desarrollador =DB::table('usuarios_app')
            ->join('aplicacion','aplicacion.id','usuarios_app.app_id')
            ->where('user_id',Auth::user()->id)
            ->select('usuarios_app.*','aplicacion.nombre as app_name')
            ->get();
        $requerimientos_desarrollador = DB::table('requerimientos_desarrolladores')
            ->join('requerimientos','requerimientos.id','requerimientos_desarrolladores.requerimiento_id')
            ->where('desarrollador_id',Auth::user()->id)
            ->select('requerimientos_desarrolladores.*','requerimientos.titulo as requerimiento_titulo','requerimientos.descripcion as requerimiento_descripcion')
            ->get();
        $desarrollador = users::find(Auth::user()->id);
        return view('desarrollador.profileDesarrollador',[
            'desarrollador' => $desarrollador,
            'requerimientos_desarrollador' => $requerimientos_desarrollador,
            'apps' => $aplicaciones_desarrollador
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $user = users::find($id);
        $user->password = Hash::make($request->newPassword);
        $user->update();
        return redirect('profileDesarrollador');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
